version: '3.4'

services:
    sshagent:
        container_name: ${HOST_SSHAGENT_NAME}
        volumes:
            - ${HOST_SSHAGENT_HOST_MAP_FOLD_PATH}:${HOST_SSHAGENT_CONTAINER_MAP_FOLD_PATH}

    mssql:
        container_name: ${HOST_MSSQL_NAME}
        environment:
            SA_PASSWORD: ${HOST_MSSQL_PASSWORD}
        ports:
            - ${HOST_MSSQL_PORT}:1433    

    heappe:
        container_name: ${HOST_APP_NAME}
        volumes:
            - ${HOST_APP_HOST_MAP_FOLD_NAME}:${HOST_APP_CONTAINER_MAP_FOLD_PATH}
        ports:
            - ${HOST_APP_PORT}:80
        extra_hosts:
            - "host.docker.internal:host-gateway"

    datastagingapi:
        container_name: ${HOST_DATA_STAGING_NAME}
        volumes:
            - ${HOST_DATA_STAGING_HOST_MAP_FOLD_NAME}:${HOST_DATA_STAGING_CONTAINER_MAP_FOLD_PATH}
        ports:
            - ${HOST_DATA_STAGING_PORT}:80